import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';

import { AppModule } from './app/app.module';
import { environment } from './environments/environment';

if (environment.production) {
  enableProdMode();
  if (window) {
    window.console.log = function () { };
    console.info(`%c%c v2.4.63 %c 武汉大势恒通科技有限责任公司 `,
      'color: #3eaf7c; font-size: 16px;line-height:30px;',
      'background: #35495e; padding: 4px; border-radius: 3px 0 0 3px; color: #fff',
      'background: #41b883; padding: 4px; border-radius: 0 3px 3px 0; color: #fff',
    );
  }
}
platformBrowserDynamic().bootstrapModule(AppModule)
  .catch(err => console.error(err));
